Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.ui.x509
Class X509ProcessingFilterEntryPoint

    java.lang.Object
      org.acegisecurity.ui.x509.X509ProcessingFilterEntryPoint

All Implemented Interfaces:
  AuthenticationEntryPoint

    public class X509ProcessingFilterEntryPoint

extends Object
implements AuthenticationEntryPoint

In the X.509 authentication case (unlike CAS, for example) the certificate will already have been extracted from the request and a secure context established by the time the security-enforcement filter is invoked.

Therefore this class isn't actually responsible for the commencement of authentication, as it is in the case of other providers. It will be called if the certificate was rejected by Acegi's X509AuthenticationProvider, resulting in a null authentication.

The `commence` method will always return an `HttpServletResponse.SC_FORBIDDEN` (403 error).

Version:
  $Id: X509ProcessingFilterEntryPoint.java,v 1.5 2005/11/17 00:56:28 benalex Exp $
Author:
  Luke Taylor
See Also:
  `SecurityEnforcementFilter`

Constructor Summary
`X509ProcessingFilterEntryPoint()`

Method Summary
`void` | `commence(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, AuthenticationException authException)` Returns a 403 error code to the client.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### X509ProcessingFilterEntryPoint

    public X509ProcessingFilterEntryPoint()

Method Detail

### commence

    public void commence(javax.servlet.ServletRequest request,
                         javax.servlet.ServletResponse response,
                         AuthenticationException authException)
                  throws IOException,
                         javax.servlet.ServletException

  Returns a 403 error code to the client.

  Specified by:
    `commence` in interface `AuthenticationEntryPoint`
  Parameters:
    `request` - that resulted in an `AuthenticationException`
    `response` - so that the user agent can begin authentication
    `authException` - that caused the invocation
  Throws:
    `IOException`
    `javax.servlet.ServletException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.